Name:           perl-Net-IP-XS
Version:        0.17
Release:        1%{?dist}
Summary:        IPv4/IPv6 address library
License:        GPLv2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-IP-XS/
Source0:        http://www.cpan.org/authors/id/T/TO/TOMHRR/Net-IP-XS-%{version}.tar.gz
BuildRequires:	perl-generators perl perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Capture::Stderr)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Simple)
Requires:       perl(IO::Capture::Stderr)
Requires:       perl(Math::BigInt)
Requires:       perl(Test::More)
Requires:       perl(Tie::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
An XS (C) implementation of Net::IP. See Net::IP's documentation (as at
version 1.25) for the functions and methods that are available.

%prep
%setup -q -n Net-IP-XS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes LICENSE META.json README
%{perl_vendorarch}/Net*
%dir %{perl_vendorarch}/auto/Net/IP/XS
%{perl_vendorarch}/auto/Net/IP/XS/XS.so
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*

%changelog
* Mon Jun 27 2016 Paul Wouters <pwouters@redhat.com> 0.17-1
- Initial package
